[osg-users] OSG 2.9.9 compile issues on Mac with Qt 4.6.3, other Qt issues

Ben Discoe ben at vterrain.org
Thu Apr 21 17:57:46 PDT 2011


Hi Chuck & all,

Did this ever get addressed?  I have an OSG 2.8.3 app which i am trying to
port to 64-bit Mac (i.e. Cocoa).  As of 2.8.4, i see that QOSGWidget.cpp
still has this limitation:

#elif defined(__APPLE__)  // Assume using Carbon on Mac.

Is it worth continuing to try to build 2.8.3's QOSGWidget for Cocoa, has
anyone ever made it work?  Or will i need to bite the bullet and move over
to OSG 2.9.12, which apparently has entirely different Qt / Cocoa
integration.

Thanks,
Ben

> -----Original Message-----
> From: Chuck Shaw
> Sent: Sunday, October 17, 2010 1:37 PM
> To: osg-users at lists.openscenegraph.org
> 
> Robert,
> 
> Sure, i'll be happy to fix it.
> 
> Chuck

> -----Original Message-----
> From: Robert Osfield
> Sent: Sunday, October 17, 2010 11:46 AM
> To: osg-users at lists.openscenegraph.org
> 
> Hi Chuck,
> 
> Could you have a bash at getting osgviewerQtWidget to compile with Qt's
> Cocoa?
> 
> Thanks,
> Robert.

> -----Original Message-----
> From: Chuck Shaw
> Sent: Saturday, October 16, 2010 9:16 PM
> To: osg-users at lists.openscenegraph.org
> 
> On Mac OSX, example_osgviewerQT and example_osgviewerQtWidget do not
compile
> on 64bit with Qt's Cocoa.  They are hard coded to 32 bit Carbon. .
> 
> i.e.
> 
> #elif defined(__APPLE__)  // Assume using Carbon on Mac.
> 
> 
> Chuck




More information about the osg-users mailing list